#!/usr/bin/env bash
set -euo pipefail

BRIDGE="${BRIDGE:-/usr/bin/protonmail-bridge}"
INPIPE=/tmp/input


setup() {
    gpg --generate-key --batch gpg-keygen-params.txt
    pass init proton

    bridge-cli

    echo "login" > $INPIPE
    echo "$BRIDGE_USER" > $INPIPE
    echo "$BRIDGE_PASS" > $INPIPE
    echo "exit" > $INPIPE
    wait $bridge_pid
}

bridge-cli() {
    mkfifo $INPIPE
    sleep infinity > $INPIPE &
    $BRIDGE --cli < $INPIPE &
    bridge_pid=$!
}

start() {
    bridge-cli

    echo "info" > $INPIPE
    wait $bridge_pid
}

case "${1:-}" in
  setup)
    setup
  ;;
  start)
    start
  ;;
  test)
    bash -i
  ;;
  *)
    echo "Usage: isolated_protonmail_bridge.sh [setup|start|test]"
    exit 1
  ;;
esac

